#include<stdio.h>
int main(){
	long long v;
	int c,br=0;
	scanf("%lld",&v);
	while(v){
		c=v%10;
		if(c==1 || c==2 || c==5)br++;
		 else if(c==3 || c==4 || c==6 || c==7)br+=2;
		  else if(c>7)br+=3;
		v=v/10;
	}
	printf("%d",br);
	return 0;
}